Subject: RE: [Ietf-behave] Where we are with draft-audet-nat-behave

From: "Francois Audet" <[email-masked]>
Date: Wed, 1 Sep 2004 09:10:28 -0700 (PDT)

> > 5 - From San Diego: state that scope stops at UDP layer 
> (i.e., RTP, or
> >     ALGs are out-of-scope). No looking at embedded addresses for
> > example.
> 
> I'd state it a little differently - that we're dealing only with 
> transport
> layer and below issues.

Yeah, some people have problems with that terminology. I'll try to find
some appropriate wording. Since the scope of the document is only UDP,
it shouldn't be too difficult.

> > 6 - From San Diego: State that one of the goals is to lessen the
> >     dependence on Media Relays.
> 
> Meh.  I'd try to keep this from being too voice-ish.  Media 
> relays are an instance of a broader class of problem, which 
> is the (perceived) need to introduce new devices and 
> functions into networks in order to work around problems 
> introduced by NAT.  Other applications, notably online gaming 
> and peer-to-peer applications, have the same problem. I'd 
> prefer to see this broadened.

OK. What about just talking about "relays" in a very general way?

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 1 Sep 2004 10:53:43 -0700 (PDT)

> OK. What about just talking about "relays" in a very general way?

Be careful that you don't define a SIP Proxy or DNS server as a 'relay' --
unless that's your intent.

-d

---

From: Melinda Shore <[email-masked]>
Date: Wed, 1 Sep 2004 11:40:38 -0700 (PDT)

On Wednesday, September 1, 2004, at 12:09 PM, Francois Audet wrote:
OK. What about just talking about "relays" in a very general way?
My preference would be to drop any mention of relays completely and
keep the focus on the things that NATs must do to be good network
citizens.
Melinda